/* Folha de estilo principal
 *
 * Marcelo Barbosa,
 * maio, 2018.
 */

/* importacoes de arquivos externos: fontes */


/* seletor: elemento */

/* carrinho de compras */
.carrinho .container-do-carrinho 
{ 
    display: none; 
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
}

.carrinho .container-do-carrinho .fundo
{    
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.carrinho .container-do-carrinho .conteudo
{ 
    position: absolute;
    top: 0;
    height: 100%;
    background-color: white;
    z-index: 3;
}

.carrinho .container-do-carrinho .conteudo .itens
{    
    height: 70%;    
}

.painel-do-carrinho
{
    position: fixed;
    width: 100%;
    right:0;
    bottom: 0;
    background-color: white;
}

.item-comprado { border: 0; }
.item-comprado:last-child { border: 0; }

.mensagem-do-produto 
{ 
    position:absolute;   
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: none;
}


.botao-do-carrinho, input[type=submit].botao-do-carrinho, input[type=button].botao-do-carrinho, input[type=reset].botao-do-carrinho   
{ 
    border-radius: 7px; 
    background: linear-gradient(to right, orangered, #E60000); 
    color: white;
    font-size: 1em;
}

.botao-do-carrinho:hover, .botao-do-carrinho:active,
input[type=submit].botao-do-carrinho:hover, input[type=submit].botao-do-carrinho:active,
input[type=button].botao-do-carrinho:hover, input[type=button].botao-do-carrinho:active,
input[type=reset].botao-do-carrinho:hover, input[type=reset].botao-do-carrinho:active 
{ background: #a18f5e; color: #2A2A2A; }
